Page MenuHomePhabricator

jscs should apply to test files as well.
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/182940 reveals 2008 code style errors in our test files. These should be fixed and the rule should be turned on here before this escalates any further!

Note some of these errors are documentation related - we shouldn't have to document test files so these should not be dealt with.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterUpdate how jscs runs on the test files
mediawiki/extensions/MobileFrontend : masterHygiene: Enable jscs for test files
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs rules to search, talk, references tests
mediawiki/extensions/MobileFrontend : masterHygiene" Apply jscs to specials test file
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs rules to wikigrok,lists,watchstar tests
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs to toggling and uploads tests
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs to mediaViewer,nearby,preferred languages tests
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs to editor, issues, language, lastEdited
mediawiki/extensions/MobileFrontend : masterHygiene: Apply jscs to first level test files

Related Objects

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson updated the task description. (Show Details)Jan 5 2015, 11:05 PM
Jdlrobson set Security to None.
bmansurov claimed this task.Jan 8 2015, 1:55 AM

Change 183412 had a related patch set uploaded (by Bmansurov):
WIP: Apply jscs to test files

https://gerrit.wikimedia.org/r/183412

Patch-For-Review

Change 183538 had a related patch set uploaded (by Bmansurov):
Apply jscs to some module test file

https://gerrit.wikimedia.org/r/183538

Patch-For-Review

Change 183559 had a related patch set uploaded (by Bmansurov):
Apply jscs to some module test file

https://gerrit.wikimedia.org/r/183559

Patch-For-Review

Change 183562 had a related patch set uploaded (by Bmansurov):
Apply jscs to some module test file

https://gerrit.wikimedia.org/r/183562

Patch-For-Review

Change 183565 had a related patch set uploaded (by Bmansurov):
Apply jscs to some module test file

https://gerrit.wikimedia.org/r/183565

Patch-For-Review

Change 183570 had a related patch set uploaded (by Bmansurov):
Apply jscs to some module test file

https://gerrit.wikimedia.org/r/183570

Patch-For-Review

Change 183602 had a related patch set uploaded (by Bmansurov):
Apply jscs to specials test file

https://gerrit.wikimedia.org/r/183602

Patch-For-Review

Change 183854 had a related patch set uploaded (by Phuedx):
Run JSCS agains the test files

https://gerrit.wikimedia.org/r/183854

Patch-For-Review

Change 183412 merged by jenkins-bot:
Hygiene: Apply jscs to first level test files

https://gerrit.wikimedia.org/r/183412

Change 183538 merged by jenkins-bot:
Hygiene: Apply jscs to editor, issues, language, lastEdited

https://gerrit.wikimedia.org/r/183538

Change 183559 merged by jenkins-bot:
Hygiene: Apply jscs to mediaViewer,nearby,preferred languages tests

https://gerrit.wikimedia.org/r/183559

Change 183565 merged by jenkins-bot:
Hygiene: Apply jscs to toggling and uploads tests

https://gerrit.wikimedia.org/r/183565

Change 183570 merged by jenkins-bot:
Hygiene: Apply jscs rules to wikigrok,lists,watchstar tests

https://gerrit.wikimedia.org/r/183570

Change 183602 merged by jenkins-bot:
Hygiene" Apply jscs to specials test file

https://gerrit.wikimedia.org/r/183602

Change 183413 had a related patch set uploaded (by Bmansurov):
Hygiene: Enable jscs for test files

https://gerrit.wikimedia.org/r/183413

Patch-For-Review

Change 183562 merged by jenkins-bot:
Hygiene: Apply jscs rules to search, talk, references tests

https://gerrit.wikimedia.org/r/183562

Jdlrobson closed this task as Resolved.Jan 9 2015, 8:36 PM

Change 183413 merged by jenkins-bot:
Hygiene: Enable jscs for test files

https://gerrit.wikimedia.org/r/183413

Change 183854 merged by jenkins-bot:
Update how jscs runs on the test files

https://gerrit.wikimedia.org/r/183854